This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 65595 - man crashes with -- (end-of-option)
man crashes with -- (end-of-option)
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: man (Show other bugs)
7.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Eido Inoue
Ben Levenson
:
: 73212 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-05-28 06:51 EDT by Vlado Potisk
Modified: 2007-04-18 12:42 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-01-14 00:16:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
fixes the empty MANDEFOPTIONS handling in get_options_from_string() (273 bytes, patch)
2002-07-15 00:19 EDT, msterret
no flags Details | Diff

  None (edit)
Description Vlado Potisk 2002-05-28 06:51:41 EDT
Description of problem:
man crashes (Segmentation fault) when the end-of-option
sign -- is used.

Version-Release number of selected component (if applicable):
man, version 1.5j

How reproducible:
Always

Steps to Reproduce:
run: man -- man

Actual Results:
Segmentation fault

Expected Results:
A man-page should be displayed

Additional info:
Pager less is affected by this bug, to display man-pages
it invokes man -- ./file in /usr/bin/lesspipe.sh.
Comment 1 msterret 2002-07-15 00:19:57 EDT
Created attachment 65324 [details]
fixes the empty MANDEFOPTIONS handling in get_options_from_string()
Comment 2 msterret 2002-07-17 18:45:27 EDT
This should be fixed in man-1.5k which Andries Brouwer says he just put out. 
That guy is a great maintainer - very nice and responsive.

Also, I think this bug may be a dup of 57639.
Comment 3 Karsten Hopp 2002-09-03 09:28:59 EDT
fixed in man-1.5j-10
Comment 4 Vlado Potisk 2002-09-05 04:05:20 EDT
man-1.5j-10 is still not available for download on Rawhide ...
Comment 5 Vlado Potisk 2002-10-13 05:08:14 EDT
I'm reopening this bug, beacuse the fix has been announced,
but not provided. The mentioned version man-1.5j-10 is unavailable
and the current Rawhide man-1.5j-11 requires GLIBC2.3 and thus cannot
be installed on my RH7.3.
Comment 6 Eido Inoue 2003-01-14 00:16:21 EST
fixed in man-1.5k-2. you should be able to rebuild from the src rpm from rawhide.
Comment 7 Miloslav Trmac 2004-03-08 14:38:19 EST
*** Bug 73212 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.